#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	LibXML
Summary:	XML::LibXML - interface to the GNOME libxml2 library
Summary(pl.UTF-8):	XML::LibXML - interfejs do biblioteki libxml2 z GNOME
Name:		perl-XML-LibXML
Version:	2.0018
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c5db1c6ba5f588802a5e1a15b5b6d653
URL:		http://search.cpan.org/dist/XML-LibXML/
BuildRequires:	libxml2-devel >= 1:2.7.2
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.56
BuildRequires:	perl-XML-NamespaceSupport >= 1.07
BuildRequires:	perl-XML-SAX >= 0.11
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	iconv
BuildRequires:	perl-Test-Simple
%endif
Requires:	libxml2 >= 1:2.7.2
Requires:	perl-XML-NamespaceSupport >= 1.07
Requires:	perl-XML-SAX >= 0.11
Provides:	perl-XML-LibXML-XPathContext = %{version}
Obsoletes:	perl-XML-LibXML-Common
Obsoletes:	perl-XML-LibXML-XPathContext <= 0:0.07
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements much of the DOM Level 2 API as an interface to
the GNOME libxml2 library. This makes it a fast and highly capable
validating XML parser library, as well as a high performance DOM.

%description -l pl.UTF-8
Ten moduł to implementacja większości API DOM Level 2 jako interfejsu
do biblioteki GNOME libxml2. Daje to szybki i mający duże możliwości
analizator sprawdzający poprawność XML-a, a także wysoko wydajny DOM.

%package SAX
Summary:	XML::LibXML::SAX Perl module - XML::LibXML direct SAX parser
Summary(pl.UTF-8):	Moduł Perla XML::LibXML::SAX - bezpośredni analizator SAX z XML::LibXML
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description SAX
This class allows you to generate SAX2 events using LibXML. Note that
this is not a stream based parser, instead it parses documents into a
DOM and traverses the DOM tree. The reason being that libxml2's stream
based parsing is extremely primitive, and would require an extreme
amount of work to allow SAX2 parsing in a stream manner.

%description SAX -l pl.UTF-8
Ta klasa pozwala generować zdarzenia SAX2 przy użyciu LibXML2. To nie
jest analizator oparty na strumieniach - przetwarza dokumenty na DOM i
następnie wędruje po drzewie DOM. Wynika to z faktu, że w libxml2
analiza oparta na strumieniach jest bardzo prymitywna i wymagałaby
wiele pracy, aby umożliwić strumieniową analizę SAX2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
SKIP_SAX_INSTALL=true;
export SKIP_SAX_INSTALL

%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install example/{*.pl,*.xml,*.dtd,*.xhtml} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex
install example/complex/{*.xml,*.dtd} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex/dtd
install example/complex/dtd/*.dtd $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex/dtd

# mans are provided
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/XML/{LibXML.pod,LibXML/*.pod,LibXML/SAX/*.pod}

%clean
rm -rf $RPM_BUILD_ROOT

%post SAX
umask 022
%{__perl} -MXML::SAX -e "XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"

%preun SAX
if [ "$1" = "0" ]; then
	umask 022
	%{__perl} -MXML::SAX -e "XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"
fi

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README TODO
%{perl_vendorarch}/XML/LibXML.pm
%dir %{perl_vendorarch}/XML/LibXML
%{perl_vendorarch}/XML/LibXML/[!S]*.pm
%dir %{perl_vendorarch}/auto/XML/LibXML
%attr(755,root,root) %{perl_vendorarch}/auto/XML/LibXML/LibXML.so
%{_mandir}/man3/XML::LibXML.3pm*
%{_mandir}/man3/XML::LibXML::[!S]*
%{_mandir}/man3/XML::LibXML::S[!A]*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/x*.pl
%{_examplesdir}/%{name}-%{version}/[!x]*

%files SAX
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/XML/LibXML/SAX
%{perl_vendorarch}/XML/LibXML/SAX.pm
%{perl_vendorarch}/XML/LibXML/SAX/*.pm
%{_mandir}/man3/XML::LibXML::SAX.3pm*
%{_mandir}/man3/XML::LibXML::SAX::*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-LibXML.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e4daa3a
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> dd51671
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bae9f19
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> ca6c438
- updated to 2.0018

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4e1b5a2
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Oct 30 2012 Jakub Bogusz <qboosh@pld-linux.org> d91c82a
- updated to 2.0008

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 49411a7
- up to 1.90

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> edb5e07
- up to 1.75

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> bfe269d
- rel 7

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> e5d57ec
- dropped unused BR: gdome2-devel, pkgconfig
- tests BR: iconv

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> a10edb7
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bcbed5
- release 5

* Tue Oct 13 2009 amateja <amateja@pld-linux.org> 256d647
- removed BR: perl-XML-LibXML-Common
- release 4

* Tue Oct 13 2009 amateja <amateja@pld-linux.org> 797a792
- added missing %dirs in %files section
- release 3

* Sun Oct 11 2009 amateja <amateja@pld-linux.org> 8f08012
- added O: perl-XML-LibXML-Common
- release 2

* Sun Oct 11 2009 amateja <amateja@pld-linux.org> f2f1453
- updated to 1.70

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 313ac6c
- release 2

* Sun Mar 02 2008 radek <radek@pld-linux.org> ed18469
- version 1.66

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 78daa4d
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> f3dbed4
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

